/*
 * Copyright 2009 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.googlecode.guicejunit4.core;

import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;

import com.googlecode.guicejunit4.core.inner.InjectorProviderA;
import com.googlecode.guicejunit4.core.inner.StaticStepInterceptor;
import com.googlecode.guicejunit4.core.inner.Steps;

/**
 * 
 * @author java2enterprise@gmail.com (James Wang)
 * @since Nov 20, 2009
 * 
 */
@InjectWith(InjectorProviderA.class)
@InterceptWith(StaticStepInterceptor.class)
public class BasicInterceptorsTest extends InjectedTests {
	
	@Before
	public void before() {
		assertTrue(StaticStepInterceptor.step == Steps.BEFORE_TEST);
	}
	
	@Test
	public void test() {
		StaticStepInterceptor.step = Steps.TESTING;
	}
	
	@AfterClass
	public static void after() {
		assertTrue(StaticStepInterceptor.step == Steps.AFTER_TEST);
	}
	
}
